package de.uks.se.castle.creators;

import de.uks.se.castle.creators.CreatorCreator;
import org.sdmlib.serialization.interfaces.EntityFactory;
import org.sdmlib.serialization.json.JsonIdMap;
import de.uks.se.castle.Castle;

public class CastleCreator extends EntityFactory
{
   private final String[] properties = new String[]
   {
      Castle.PROPERTY_ROOMS,
      Castle.PROPERTY_PERSONS,
   };
   
   public String[] getProperties()
   {
      return properties;
   }
   
   public Object getSendableInstance(boolean reference)
   {
      return new Castle();
   }
   
   public Object getValue(Object target, String attrName)
   {
      return ((Castle) target).get(attrName);
   }
   
   public boolean setValue(Object target, String attrName, Object value, String type)
   {
      return ((Castle) target).set(attrName, value);
   }
   
   public static JsonIdMap createIdMap(String sessionID)
   {
      return CreatorCreator.createIdMap(sessionID);
   }

   
   //==========================================================================
   
   @Override
   public void removeObject(Object entity)
   {
      ((Castle) entity).removeYou();
   }
}

