package de.uks.se.castle.creators;

import de.uks.se.castle.creators.CreatorCreator;
import org.sdmlib.serialization.interfaces.EntityFactory;
import org.sdmlib.serialization.json.JsonIdMap;
import de.uks.se.castle.Princess;

public class PrincessCreator extends EntityFactory
{
   private final String[] properties = new String[]
   {
      Princess.PROPERTY_NAME,
      Princess.PROPERTY_ROOM,
      Princess.PROPERTY_PRINCE,
   };
   
   public String[] getProperties()
   {
      return properties;
   }
   
   public Object getSendableInstance(boolean reference)
   {
      return new Princess();
   }
   
   public Object getValue(Object target, String attrName)
   {
      return ((Princess) target).get(attrName);
   }
   
   public boolean setValue(Object target, String attrName, Object value, String type)
   {
      return ((Princess) target).set(attrName, value);
   }
   
   public static JsonIdMap createIdMap(String sessionID)
   {
      return CreatorCreator.createIdMap(sessionID);
   }

   
   //==========================================================================
   
   @Override
   public void removeObject(Object entity)
   {
      ((Princess) entity).removeYou();
   }
}

